> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtimelca.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Material Search

> Search and list materials from the EPD (Environmental Product Declaration) database with support for pagination, filtering, and keyword search.



## OpenAPI

````yaml /api-reference/realtime-lca-openapi.yaml get /Material/Search
openapi: 3.0.0
info:
  title: Real-Time LCA REST Documentation
  version: 1.0.0
  description: >-
    ### Description 📝


    This collection contains a set of REST API requests for the Real-Time LCA
    (Life Cycle Assessment) service.


    ### Authenticate user 👤🔑


    In the `Auth` folder there's a `POST` request for authenticating the user.


    In this request body you can type in the user RTLCA user credentials
    (username & password) and a succesfull (`200 OK`) response will set the
    collection `BearerToken` variable which is then inherited by all other
    requests.
servers:
  - url: https://api.realtimelca.com/rest/api
    description: REST API.
  - url: https://api.realtimelca.com/epd/api
    description: EPD API.
  - url: https://auth.realtimelca.com/frontegg/identity/resources/auth/v1
    description: Authentication API (Frontegg identity v1).
  - url: https://realtimelca-prod.hasura.app
    description: GraphQL API (Hasura).
security:
  - BearerAuth: []
tags:
  - name: Auth
  - name: User
  - name: Overview
  - name: Project
  - name: Dashboard
  - name: Mapping
  - name: Automapping
  - name: Transport
  - name: Waste
  - name: Inspect
  - name: Report
  - name: Images
  - name: Library
  - name: Datasource
  - name: Owner
  - name: Material
  - name: Constructions
  - name: Enums
paths:
  /Material/Search:
    servers:
      - url: https://api.realtimelca.com/epd/api
    get:
      tags:
        - Library
        - Material
      summary: Material Search
      description: >-
        Search and list materials from the EPD (Environmental Product
        Declaration) database with support for pagination, filtering, and
        keyword search.
      parameters:
        - name: form
          in: query
          description: 'Ex.: Enum = 0 (EN15804A1)'
          schema:
            type: string
        - name: type
          in: query
          description: 'Ex.: Enum = 1 (PRODUCT)'
          schema:
            type: string
        - name: owner
          in: query
          description: 'Ex.: Ambercon A/S'
          schema:
            type: string
        - name: dataSource
          in: query
          description: 'Ex.: EPD-Danmark'
          schema:
            type: string
        - name: tags
          in: query
          description: 'Ex.: Beton'
          schema:
            type: string
        - name: search
          in: query
          description: 'Ex.: Facadeelement med EPS isolering'
          schema:
            type: integer
          example: '42'
        - name: isCustom
          in: query
          schema:
            type: boolean
          example: 'true'
        - name: pageSize
          in: query
          schema:
            type: integer
          example: '50'
        - name: tenantIds
          in: query
          schema:
            type: integer
          example: '2'
        - name: newestVersion
          in: query
          description: Optional - defaults to true
          schema:
            type: boolean
          example: 'true'
      responses:
        default:
          description: Response schema not yet documented in the upstream Postman spec.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````